## Struct template type_serializer

zeep::xml::type_serializer

## Synopsis

    // In header: <zeep/xml/serialize.hpp>

    template<typename T, typename >
    struct type_serializer {
      // types
      typedef  ;
      typedef value_serializer<                                         ;

      // public static functions
       ();
       ();
       ();
       (element &, , );
       (element &, , );
      element (, );
       ();
    };

## Description

### `type_serializer` public static functions

1.      ();

2.      ( value);

3.      ( value);

4.      (element & n,  name,
                                    value);

5.      (element & n,  name,
                                      value);

6.     element ( name,  prefix);

7.      ( types);